package com.sky.ioc.entity.params;

import lombok.Data;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.time.temporal.ChronoUnit;

@Data
public class IocTimeRange {
    /** 开始时间 */
    private String startDate;

    /** 结束时间 */
    private String endDate;

    private Integer range;

    public Integer getRange() {
        DateTimeFormatter pattern = DateTimeFormatter.ofPattern("yyyy/MM/dd");
        LocalDate sDate = LocalDate.parse(this.startDate, pattern);
        LocalDate eDate = LocalDate.parse(this.endDate, pattern);
        this.range = Math.toIntExact(ChronoUnit.DAYS.between(sDate, eDate));
        return this.range;
    }
}
