package com.sky.ioc.service.fitness.impl;

import com.alibaba.fastjson.JSONObject;
import com.sky.ioc.entity.Environment;
import com.sky.ioc.entity.Indeicator;
import com.sky.ioc.entity.Label;
import com.sky.ioc.entity.params.IocParam;
import com.sky.ioc.mapper.FitnesMapper;
import com.sky.ioc.service.fitness.HealthService;
import com.sky.ioc.tool.GeneralMethod;
import com.sky.ioc.tool.ReturnMsg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.ThreadLocalRandom;

/**
 * TODO 健康小屋
 * @Description
 * @Author LunCe
 * @Date 2023/2/10 17:35
 **/

@Service
public class HealthServiceImpl implements HealthService {

    @Autowired
    FitnesMapper fitnesMapper;

    @Override
    public ReturnMsg getCoreIndicators(IocParam iocParam) {
        Indeicator indeicator = new Indeicator();
        List<JSONObject> objects = indeicator.getList();
        Integer totalPerson = fitnesMapper.getTotalPersonByCompanyIdAndDeptId(iocParam);
        Integer totalHealthPerson = fitnesMapper.getTotalPersonByCompanyIdAndDeptIdAndFitnesType(iocParam,1);
        Integer totalSubHealthPerson = fitnesMapper.getTotalPersonByCompanyIdAndDeptIdAndFitnesType(iocParam,2);


        objects.get(0).put("value",100);
        objects.get(0).put("compare",0.4);

        objects.get(1).put("value",20);
        objects.get(1).put("compare",0.4);

        objects.get(2).put("value",21);
        objects.get(2).put("compare",-0.4);
        objects.get(3).put("value","高血压");
        indeicator.setWorthAttention("员工腰椎问题持续上升");
        indeicator.setList(objects);
        return ReturnMsg.ok(indeicator);
    }

    @Override
    public ReturnMsg getHutAnalysis(IocParam iocParam) {
        String[] param = {"warehousing","physicalExamination"};
        String[] labKey = {"1月","2月","3月","4月","5月","6月","7月","8月","9月","10月","11月","12月"};
        Integer totalSubHealthPerson = fitnesMapper.getTotalPersonByCompanyIdAndDeptIdAndWarehouse(iocParam,"");
        List<Label> labels1 = GeneralMethod.getInstance().dataGeneration(param, labKey);
        return ReturnMsg.ok(labels1);
    }

    @Override
    public ReturnMsg getEnvironmentalDetection(IocParam iocParam) {
        List<Environment> arrayList = new ArrayList<>();
        ThreadLocalRandom current = ThreadLocalRandom.current();
        arrayList.add(new Environment("pm","pm2.5","1", current.nextInt(50,100)+""));
        arrayList.add(new Environment("pm","pm2.5","2", current.nextInt(100,150)+""));

        arrayList.add(new Environment("hm","湿度","1", current.nextInt(35,50)+""));
        arrayList.add(new Environment("hm","湿度","2", current.nextInt(20,35)+""));

        arrayList.add(new Environment("tm","温度","1", current.nextInt(20,26)+""));
        arrayList.add(new Environment("tm","温度","2", current.nextInt(15,30)+""));
        return ReturnMsg.ok(arrayList);
    }
}
